Vizitown

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables
Public Member Functions | Public Attributes | List of all members
vizitown_plugin.vt_utils_parameters.Parameters Class Reference

Class Parameters Singleton which define the parameters. More...

Collaboration diagram for vizitown_plugin.vt_utils_parameters.Parameters:

## Public Member Functions
def | __init__
| Constructor. More...
def | set_viewer_param
| set_viewer_param method Define the parameters of the viewer at the launch of this More...
def | get_viewer_param
| get_viewer_param method Get the intial parameter to give at the app server More...
def | set_resources_dem
| set_resources_dem method Define the data elevation model More...
def | set_resources_texture
| set_resources_texture method Define the texture More...
def | set_all_vectors
| set_all_vectors method Define the data elevation model More...
def | set_tiling_param
| set_tiling_param method Define the parameters of the tiles More...
def | get_tiling_param
| get_tiling_param method Get the tiles info done by the process GDAL More...
def | clear
| clear method Clean the value of the parameters More...

## Public Attributes
| rastersPath
| viewerPath
| GDALqueue
| dem
| texture
| GDALprocess
| extent
| port
| hasRaster
| all_vectors
| zoomLevel
| tileSize

## Detailed Description

Class Parameters Singleton which define the parameters.

## Constructor & Destructor Documentation

def vizitown_plugin.vt_utils_parameters.Parameters.__init__ | ( |  | self) |  |

Constructor.

## Member Function Documentation

def vizitown_plugin.vt_utils_parameters.Parameters.clear | ( |  | self) |  |

clear method Clean the value of the parameters

def vizitown_plugin.vt_utils_parameters.Parameters.get_tiling_param | ( |  | self) |  |

get_tiling_param method Get the tiles info done by the process GDAL

def vizitown_plugin.vt_utils_parameters.Parameters.get_viewer_param | ( |  | self) |  |

get_viewer_param method Get the intial parameter to give at the app server

def vizitown_plugin.vt_utils_parameters.Parameters.set_all_vectors | ( |  | self,
|  |  | arrayVectors
| ) |  |

set_all_vectors method Define the data elevation model

Parameters

  arrayVectors | the array of vectors

def vizitown_plugin.vt_utils_parameters.Parameters.set_resources_dem | ( |  | self,
|  |  | dem
| ) |  |

set_resources_dem method Define the data elevation model

Parameters

  dem | the new dem

def vizitown_plugin.vt_utils_parameters.Parameters.set_resources_texture | ( |  | self,
|  |  | texture
| ) |  |

set_resources_texture method Define the texture

Parameters

  texture | the new texture

def vizitown_plugin.vt_utils_parameters.Parameters.set_tiling_param | ( |  | self,
|  |  | zoomLevel,
|  |  | tileSize
| ) |  |

set_tiling_param method Define the parameters of the tiles

Parameters

  zoomLevel | the zoom level of the tile
  tileSize | the tile size of the tile in pixel

def vizitown_plugin.vt_utils_parameters.Parameters.set_viewer_param | ( |  | self,
|  |  | extent,
|  |  | port,
|  |  | hasRaster
| ) |  |

set_viewer_param method Define the parameters of the viewer at the launch of this

Parameters

  extent | the initial extent
  port | the port to launch the app server
  hasRaster | to indicate if the raster exists

## Member Data Documentation

vizitown_plugin.vt_utils_parameters.Parameters.all_vectors

vizitown_plugin.vt_utils_parameters.Parameters.dem

vizitown_plugin.vt_utils_parameters.Parameters.extent

vizitown_plugin.vt_utils_parameters.Parameters.GDALprocess

vizitown_plugin.vt_utils_parameters.Parameters.GDALqueue

vizitown_plugin.vt_utils_parameters.Parameters.hasRaster

vizitown_plugin.vt_utils_parameters.Parameters.port

vizitown_plugin.vt_utils_parameters.Parameters.rastersPath

vizitown_plugin.vt_utils_parameters.Parameters.texture

vizitown_plugin.vt_utils_parameters.Parameters.tileSize

vizitown_plugin.vt_utils_parameters.Parameters.viewerPath

vizitown_plugin.vt_utils_parameters.Parameters.zoomLevel

The documentation for this class was generated from the following file:

- vt_utils_parameters.py